## kf6-prison 6.19.0+p24.04+vstable+git20251024.0108

=== debian/changelog ===
kf6-prison (6.19.0+p24.04+vstable+git20251024.0108-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 24 Oct 2025 01:08:26 +0000
