=== debian/control ===
Source: kf6-prison
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kde-qdoc-common-dev,
               kf6-extra-cmake-modules,
               libdmtx-dev,
               libqrencode-dev,
               libzxing-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-multimedia-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kdesupport/prison
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-prison.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-prison
Maintainer: Neon CI <neon@kde.org>

Package: kf6-prison
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkf6prison-data, libkf6prison6, qml6-module-org-kde-prison
Description: barcode API for Qt (documentation)
 prison is a barcode API currently offering a nice Qt API to produce QRCode
 barcodes and DataMatrix barcodes, and can easily be made support more.
 .
 This package contains the shared library to be used by applications.
 .
 This package contains the qch documentation files.

Package: kf6-prison-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-prison (= ${binary:Version}), qt6-base-dev, ${misc:Depends}
Replaces: libkf6prison-dev, libkf6prison-doc
Description: barcode API for Qt - development files
 prison is a barcode API currently offering a nice Qt API to produce QRCode
 barcodes and DataMatrix barcodes, and can easily be made support more.
 .
 This package contains the development headers and files needed to create
 applications that use the prison library.

Package: libkf6prison6
Architecture: all
Depends: kf6-prison, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6prison-data
Architecture: all
Depends: kf6-prison, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6prison-dev
Architecture: all
Depends: kf6-prison-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6prison-doc
Architecture: all
Depends: kf6-prison, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-org-kde-prison
Architecture: all
Depends: kf6-prison, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
