## kf6-prison 6.19.0+p24.04+vunstable+git20251020.0119

=== debian/changelog ===
kf6-prison (6.19.0+p24.04+vunstable+git20251020.0119-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 01:19:29 +0000
