## kf6-prison 6.20.0+p24.04+vunstable+git20251122.0620

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.20.0") # handled by release scripts
+set(KF_VERSION "6.21.0") # handled by release scripts
 project(prison VERSION ${KF_VERSION})
 
 # ECM setup
