## kf6-prison 6.20.0+p24.04+vunstable+git20251206.0304

=== debian/changelog ===
kf6-prison (6.20.0+p24.04+vunstable+git20251206.0304-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 03:04:44 +0000
