=== debian/changelog ===
kf6-prison (6.21.0+p24.04+vstable+git20251207.0557-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 05:57:43 +0000

kf6-prison (6.21.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 15:10:21 +1000
