## kf6-prison 6.21.0+p24.04+vstable+git20251226.0130

=== debian/changelog ===
kf6-prison (6.21.0+p24.04+vstable+git20251226.0130-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Dec 2025 01:30:52 +0000
