## kf6-prison 6.21.0+p24.04+vunstable+git20260105.0952

=== debian/changelog ===
kf6-prison (6.21.0+p24.04+vunstable+git20260105.0952-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 09:52:20 +0000
