## kf6-prison 6.22.0+p24.04+vunstable+git20260106.0728

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.27)
+cmake_minimum_required(VERSION 3.16)
 
 set(KF_VERSION "6.23.0") # handled by release scripts
 project(prison VERSION ${KF_VERSION})
