## kf6-prison 6.22.0+p24.04+vunstable+git20260129.0222

=== debian/changelog ===
kf6-prison (6.22.0+p24.04+vunstable+git20260129.0222-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 02:22:38 +0000
