## kf6-prison 6.23.0~rc1

=== debian/changelog ===
kf6-prison (6.23.0~rc1-1) experimental; urgency=medium

  [ Boyuan Yang ]
  * Team upload.
  * New upstream release candidate.
    + Fix compatibility with zxing-cpp 3.0.0+
  * debian/watch: Update to version 5.
  * debian/control: Bump version requirement for zxing-cpp to v3.0+.
  * debian/control: Bump version requirement for extra-cmake-modules
    to v6.22.0.
  * debian/patches/revert-ecm-version-bump.patch: Add patch to avoid
    unnecessary dependency to ecm v6.23.0+.

 -- Boyuan Yang <byang@debian.org>  Sat, 07 Feb 2026 15:05:45 -0500
