=== debian/control ===
--- 
+++ 
@@ -1,29 +1,28 @@
 Source: kf6-prison
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-qmldeps,
+               cmake (>= 3.16~),
                doxygen,
                extra-cmake-modules (>= 6.22.0~),
                libdmtx-dev,
                libqrencode-dev,
                libxkbcommon-dev,
-               libzxing-dev (>= 2.0~),
+               libzxing-dev (>= 3.0~),
                pkg-kde-tools (>= 0.17.0~),
-               qt6-base-dev (>= 6.8.0+dfsg~),
-               qt6-declarative-dev (>= 6.8.0+dfsg~),
+               qt6-base-dev (>= 6.8.0~),
+               qt6-declarative-dev (>= 6.8.0~),
                qt6-multimedia-dev (>= 6.8.0~),
-               qt6-tools-dev (>= 6.8.0~),
-Standards-Version: 4.7.0
+               qt6-tools-dev (>= 6.5.0~),
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/prison
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-prison
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-prison
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-prison
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-prison.git
 Rules-Requires-Root: no
 
 Package: libkf6prison-dev
@@ -33,7 +32,7 @@
 Depends: libkf6prison6 (= ${binary:Version}),
          libkf6prisonscanner6 (= ${binary:Version}),
          qml6-module-org-kde-prison (= ${binary:Version}),
-         qt6-base-dev (>= 6.8.0+dfsg~),
+         qt6-base-dev (>= 6.8.0~),
          ${misc:Depends},
 Recommends: libkf6prison-doc (= ${source:Version}),
 Description: barcode API for Qt - development files
@@ -60,7 +59,8 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: barcode API for Qt
  prison is a barcode API currently offering a nice Qt API to produce QRCode
  barcodes and DataMatrix barcodes, and can easily be made support more.
@@ -71,7 +71,8 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: barcode API for Qt - barcode scanner
  prison is a barcode API currently offering a nice Qt API to produce QRCode
  barcodes and DataMatrix barcodes, and can easily be made support more.
