=== debian/watch ===
Version: 5

Source: https://download.kde.org/stable/frameworks/([\d.]+)/
Matching-Pattern: prison-([\d.]+)\.tar\.xz
Pgpsigurlmangle: s/$/.sig/
