=== debian/control ===
--- 
+++ 
@@ -1,29 +1,28 @@
 Source: kf6-prison
 Section: libs
-Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
+               cmake (>= 3.27~),
                doxygen,
-               extra-cmake-modules (>= 6.22.0~),
+               extra-cmake-modules (>= 6.23.0~),
                libdmtx-dev,
                libqrencode-dev,
                libxkbcommon-dev,
-               libzxing-dev (>= 3.0~),
+               libzxing-dev (>= 2.0~),
                pkg-kde-tools (>= 0.17.0~),
                qt6-base-dev (>= 6.8.0~),
                qt6-declarative-dev (>= 6.8.0~),
                qt6-multimedia-dev (>= 6.8.0~),
                qt6-tools-dev (>= 6.5.0~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://invent.kde.org/frameworks/prison
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-prison
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-prison.git
-Rules-Requires-Root: no
 
 Package: libkf6prison-dev
 Section: libdevel
